import babel from "rollup-plugin-babel";
import stripCode from "rollup-plugin-strip-code";
import {terser} from "rollup-plugin-terser";

const fs = require("fs");
const license = require("rollup-plugin-license");

const BANNER = fs.readFileSync(__dirname + "/../../BANNER.txt", "utf8") + "\n\n\n";
const LICENSE = fs.readFileSync(__dirname + "/../../LICENSE.txt", "utf8");

export default {

  output: {
    name: "window",       // WebMidi and Note will be added to window
    extend: true,         // important!
    exports: "named"
  },

  plugins: [
    stripCode({
      start_comment: "START-NODE.JS",
      end_comment: "END-NODE.JS"
    }),
    babel(),
    terser(),
    license({banner: BANNER + LICENSE})
  ]

};
